iotop(1m)

NAME
iotop - display top disk I/O events by process. Uses DTrace.

SYNOPSIS
iotop [-C] [-D|-o|-P] [-j|-Z] [-d device] [-f filename] [-m mount_point] [-t top] [interval [count]]

DESCRIPTION
iotop tracks disk I/O by process, and prints a summary report that is refreshed every interval. This is measuring disk events that have made it past system caches. Since this uses DTrace, only users with root privileges can run this command.

OPTIONS

-C  don't clear the screen

-D  print delta times - elapsed, us

-j  print project ID

-o  print disk delta times, us

-P  print %I/O (disk delta times)

-Z  print zone ID

-d device
    instance name to snoop (eg, dad0)

-f filename
    full pathname of file to snoop

-m mount_point
    mountpoint for filesystem to snoop

-t top
    print top number only

EXAMPLES

Default output, print summary every 5 seconds
    # iotop

One second samples,
    # iotop 1

print %I/O (time based),
    # iotop -P

Snoop events on the root filesystem only,
    # iotop -m /

Print top 20 lines only,
    # iotop -t 20

Print 12 x 5 second samples, scrolling,
    # iotop -C 5 12

FIELDS

UID user ID

PID process ID

PPID
    parent process ID

PROJ
    project ID

ZONE
    zone ID

CMD command name for the process

DEVICE
    device name

MAJ device major number

MIN device minor number

D   direction, Read or Write

BYTES
    total size of operations, bytes

ELAPSED
    total elapsed times from request to completion, us (this is the elapsed time from the disk request (strategy) to the disk completion (iodone))

DISKTIME
    total times for disk to complete request, us (this is the time for the disk to complete that event since it's last event (time between iodones), or, the time to the strategy if the disk had been idle)

%I/O
    percent disk I/O, based on time (DISKTIME)

load
    1 minute load average

disk_r
    total disk read Kb for sample

disk_w
    total disk write Kb for sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
iotop will run forever until Ctrl-C is hit, or the specified interval is reached.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
iosnoop(1M), dtrace(1M)